CARGO-LOGIN(1)

NAME
cargo-login - Save an API token from the registry locally

SYNOPSIS

cargo login [OPTIONS] [TOKEN]

DESCRIPTION

This command will save the API token to disk so that commands that require authentication, such as cargo-publish(1), will be automatically authenticated. The token is saved in $CARGO_HOME/credentials. CARGO_HOME defaults to .cargo in your home directory.

If the TOKEN argument is not specified, it will be read from stdin.

The API token for crates.io may be retrieved from

Take care to keep the token secret, it should not be shared with anyone else.

OPTIONS

  Login Options

--registry REGISTRY
    Alternative registry to use.

    This option is unstable and available only on the nightly channel and requires the -Z unstable-options flag to enable.

  Display Options

-v, --verbose
    Use verbose output. May be specified twice for "very verbose" output which includes extra output such as dependency warnings and build script output. May also be specified with the term.verbose

-q, --quiet
    No output printed to stdout.

--color WHEN
    Control when colored output is used. Valid values:

        • auto (default): Automatically detect if color support is available on the terminal.

        • always: Always display colors.

        • never: Never display colors.

    May also be specified with the term.color

  Common Options

-h, --help
    Prints help information.

-Z FLAG...
    Unstable (nightly-only) flags to Cargo. Run cargo -Z help for details.

ENVIRONMENT

See for details on environment variables that Cargo reads.

EXIT STATUS

0
    Cargo succeeded.

101
    Cargo failed to complete.

EXAMPLES

    1. Save the API token to disk:

        cargo login

SEE ALSO

cargo(1), cargo-publish(1)